#!/bin/bash

clear
echo "Welcome to SecureCI."
echo
echo "We need to do a short one-time configuration."
echo
echo
i=1;
echo "  $i. Set the MySQL database passwords"; i=$((i + 1));
echo "  $i. Create new admin login user"; i=$((i + 1));
echo "  $i. Create a CI user"; i=$((i + 1));
echo "  $i. Create new svn/trac user"; i=$((i + 1));
<% if node.attribute?('nexus') %>
echo "  $i. Update Nexus admin password"; i=$((i + 1));
<% end %>
<% if node.attribute?('awscli') %>
echo "  $i. Setup AWS credentials"; i=$((i + 1));
<% end %>
echo "  $i. Create new security keys for OpenSSH"; i=$((i + 1));
echo "  $i. Create a new SSL web server certificate"; i=$((i + 1));
echo "  $i. Configure date settings"; i=$((i + 1));
echo

/usr/local/sbin/resetDbPasswords.sh
/usr/local/sbin/addAdminUser.sh
/usr/local/sbin/addCIUser.sh
/usr/local/sbin/addSvnTracUser.sh
<% if node.attribute?('nexus') %>
/usr/local/sbin/resetNexusPassword.sh
<% end %>
<% if node.attribute?('awscli') %>
/usr/local/sbin/configureAWS.sh
<% end %>
/usr/local/sbin/createNewOpenSshKeys.sh
/usr/local/sbin/createNewSslCertificate.sh
#nohup /usr/local/sbin/firstbootServer.pl > /dev/null 2>&1 &
dpkg-reconfigure tzdata

hostname <%= node['secureci']['hostname'] %>
echo "<%= node['secureci']['hostname'] %>" > /etc/hostname

echo
echo
echo "SecureCI one-time configuration is complete."
echo
echo
echo "Initial user 'ubuntu' is no longer needed and should be deleted."
echo "Please log out and log back in as your new user."
echo "Once you've logged back in, use the below commands"
echo "  sudo userdel -r ubuntu"
echo "To add more users to the system, run the script /usr/local/sbin/addUser.sh"
echo "To add more admin users to the system, run the script /usr/local/sbin/addAdminUser.sh"
echo

read -n1 -s -p "Press any key to continue."
echo ""

exit 0